Bug 1933940

Summary: Review Request: xclock - xclock is the classic X Window System clock utility
Product: [Fedora] Fedora Reporter: Peter Hutterer <peter.hutterer>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: xclock-1.0.9-1.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-03-04 11:37:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1933920    

Description Peter Hutterer 2021-03-02 04:59:46 UTC
Spec URL: https://people.freedesktop.org/~whot/xclock/xclock.spec
SRPM URL: https://people.freedesktop.org/~whot/xclock/xclock-1.0.9-1.fc33.src.rpm
Description:
xclock is the classic X Window System clock utility. It displays
the time in analog or digital form, continuously updated at a
frequency which may be specified by the user.
Fedora Account System Username: whot


Note: This utility was previously provided by xorg-x11-apps and is being split
into its own package, see Bug 1933920.

Comment 1 Parag AN(पराग) 2021-03-02 12:46:11 UTC
Not doing full package review here.

Suggestions:
1) Fix rpmlint warning before import of this package in Fedora.

Rpmlint
-------
Checking: xclock-1.0.9-1.fc35.x86_64.rpm
          xclock-debuginfo-1.0.9-1.fc35.x86_64.rpm
          xclock-debugsource-1.0.9-1.fc35.x86_64.rpm
          xclock-1.0.9-1.fc35.src.rpm
xclock.x86_64: W: summary-not-capitalized C xclock is the classic X Window System clock utility
xclock.x86_64: W: name-repeated-in-summary C xclock
xclock.src: W: summary-not-capitalized C xclock is the classic X Window System clock utility
xclock.src: W: name-repeated-in-summary C xclock
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xclock-debuginfo-1.0.9-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xclock.x86_64: W: summary-not-capitalized C xclock is the classic X Window System clock utility
xclock.x86_64: W: name-repeated-in-summary C xclock
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/xclock-1.0.9.tar.bz2 :
  CHECKSUM(SHA256) this package     : cf461fb2c6f2ac42c54d8429ee2010fdb9a1442a370adfbfe8a7bfaf33c123bb
  CHECKSUM(SHA256) upstream package : cf461fb2c6f2ac42c54d8429ee2010fdb9a1442a370adfbfe8a7bfaf33c123bb


Requires
--------
xclock (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXaw.so.7()(64bit)
    libXft.so.2()(64bit)
    libXmu.so.6()(64bit)
    libXrender.so.1()(64bit)
    libXt.so.6()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libxkbfile.so.1()(64bit)
    rtld(GNU_HASH)

xclock-debuginfo (rpmlib, GLIBC filtered):

xclock-debugsource (rpmlib, GLIBC filtered):



Provides
--------
xclock:
    xclock
    xclock(x86-64)

xclock-debuginfo:
    debuginfo(build-id)
    xclock-debuginfo
    xclock-debuginfo(x86-64)

xclock-debugsource:
    xclock-debugsource
    xclock-debugsource(x86-64)



This package looks good to me.

APPROVED.

Comment 2 Tomas Hrcka 2021-03-03 13:18:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xclock

Comment 3 Fedora Update System 2021-03-04 12:23:26 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 4 Fedora Update System 2021-03-04 16:59:45 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-25 00:16:48 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.